<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>Blood Money</Title>
  <Series>Hellchild</Series>
  <Number>04 (of 04)</Number>
  <Web>https://www.comixology.com/Hellchild-4/digital-comic/788718</Web>
  <Summary>After Angelica and Jenny are taken hostage by the hosts of the creepy masquerade party, they wonder what's in store for them next. But nothing could prepare them for the sadistic auction that is about to take place. With little time and up against a room full of monsters, Angelica must figure a way out of her impossible situation before it's too late. The action-packed finale of HELLCHILD: Blood Money is here!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB788718]</Notes>
  <Publisher>Zenescope</Publisher>
  <Genre>Action/Adventure, Crime</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
